## Struct template type_serializer<, , >

zeep::xml::type_serializer<T, std::enable_if_t< has_serialize_v< T, serializer > >>

## Synopsis

    // In header: <zeep/xml/serialize.hpp>

    template<typename T>
    struct type_serializer<, , > {
      // types
      typedef  ;

      // public static functions
       ();
      type_serializer & ();
       (element &, , );
       (element &, , );
      element (, );
       ();

      // public member functions
       ();

      // public data members
       m_type_name;
    };

## Description

### `type_serializer` public static functions

1.      ();

2.     type_serializer & ();

3.      (element & n,  name,
                                    value);

4.      (element & n,  name,
                                      value);

5.     element ( name,  prefix);

6.      ( types);

### `type_serializer` public member functions

1.      ( name);